 
	var calendarioFechas;
	$(document).ready(function(){

		initFechaInicio();


		
		$('input[type=radio][name=capitalizacion]').change(function() {
			calendarioFechas = calcularCuotas();


			/*$.each(calendarioFechas, function(i, item){
				console.log(item.fecha);
			});*/
			//console.log(calendarioFechas[calendarioFechas.length-1]["fecha"]);
			var fecha_fin = calendarioFechas[calendarioFechas.length-1]["fecha"];
			document.getElementById("fecha_fin").value=fecha_fin ;


			$("#tabla_calendario").css({"display" : "none"});
			$("#tabla_calendario tbody").html("");

		});
		
	//BOTON para calcular las fechas dependiendo la capitalizacion
		$('#btn_calcular_fecha').click(function(){

			var html = "";
			$.each(calendarioFechas, function(i, item){

				html += "<tr>";
					html += "<td>" + item.cuota + "</td>";
					html += "<td>" + item.fecha + "</td>";
				html += "</tr>";

			});
			$("#tabla_calendario tbody").html(html);



			$("#tabla_calendario").css({"display" : "block"});

		});

	// termino del BOTON calcular



	//BOTON para guardar el prestamo

		$("#guardarPrestamo").click(function(){


			//registrar cabezera

			var propiedad = {};

			propiedad.cliente = $("#cliente").val();
		    propiedad.monto = $("#monto").val();
		    propiedad.valor_cuota = $("#valor_cuota").val();
		    propiedad.interes = $("#interes").val();
		    propiedad.tasa_mora = $("#tasa_mora").val();

		    propiedad.num_cuotas = $("#num_cuotas").val();
		    propiedad.fecha_inicio = $("#fecha_inicio").val();
		    propiedad.fecha_fin = $("#fecha_fin").val();
		    propiedad.monto = $("#monto").val();
		    propiedad.observaciones = $("#observaciones").val();
		    propiedad.capitalizacion = document.querySelector('input[name="capitalizacion"]:checked').value;


		    console.log(propiedad);
		    

		        $.ajax({
		            type: "POST",
		            url: "guardarPrestamo_ajax.php",
		            data: propiedad,
		            async: false,
		            success: function (response) {
		            	//obtenemos el id generado
		            	propiedad.ID_PRESTAMO = response;
		            },
		            complete:function(){
		            	//grabando detalle
		            	guardarPrestamoDetalle(propiedad);
		            }

		        }); // Ajax registrar Prestamo


		}); // Fin guardarPrestamo evento click

	});// Fin document ready



/**
** Coloca la fecha de hoy una vez cargada la pagina
**/

	function guardarPrestamoDetalle(data){



		$.each(calendarioFechas, function(i, item){

			data.cuota = item.cuota;
			data.fecha_cuota = item.fecha

	        $.ajax({
	            type: "POST",
	            url: "guardarPrestamoDetalle_ajax.php",
	            data: data,
	            async: false,
	            success: function (response) {
	            	console.log(response);
	            },
	            complete:function(){

	            	if(i == (calendarioFechas.length-1)){
	            		alert("Se registro Correctamente el prestamo");
	            		//LIMPIAMOS TODOS LOS VALORES
	            		cleanFormPrestamo();
	            	}


	            }
	        });
		});



	} 


	/**
	**	metodo paralimpiar el formulario
	**/

	function cleanFormPrestamo(){
		$("#ID_Prestamo").val('');
		$("#cliente").val('');
		$("#monto").val('');
		$("#valor_cuota").val('');
		$("#interes").val('');
		$("#tasa_mora").val('');
		$("#num_cuotas").val('');

		$("#fecha_fin").val('');
		$("#monto").val('');
		$("#observaciones").val('');

		calendarioFechas = {};
	}

	/**
	** Generando calendarioS
	**/
	function calcularCuotas(){
		var retornarCalendario;


		var cuotas = $("#num_cuotas").val();
		var capitalizacion = document.querySelector('input[name="capitalizacion"]:checked').value;
		

		if(capitalizacion=="D"){
			retornarCalendario = calendarioDiario(cuotas);
		}

		else if(capitalizacion=="S"){
			retornarCalendario = calendarioSemanal(cuotas);
		}

		else if(capitalizacion=="Q"){
			retornarCalendario = calendarioQuincenal(cuotas);
		}


		else if(capitalizacion=="M"){
			retornarCalendario = calendarioMensual(cuotas);
		}


		return retornarCalendario;
	}

	/**
	** Generando calendario mensual
	**/
	function calendarioMensual(cuotas){


		var retornarCalendario = [];
	    fecha = document.getElementById("fecha_inicio").value
	    fecha = fecha.split("-");

	    fecha = fecha[2]+"-"+fecha[1]+"-"+fecha[0];


		retornarCalendario.push({	"cuota" : "cuota 1",
								"fecha" : fecha});

	    for (var i = 1; i < cuotas; i++) {
	    	fecha = new Date(document.getElementById("fecha_inicio").value)
			
			fecha.setDate(fecha.getDate() + 1);
			fecha.setMonth(fecha.getMonth() + i);

			//console.log(fecha);
			year = fecha.getFullYear();
			mes = fecha.getMonth()+1;
			dia = fecha.getDate();

			mes = parseInt(mes)>9?mes:"0"+mes;
			dia = parseInt(dia)>9?dia:"0"+dia;
	    	fecha = dia + "-" + mes + "-" + year;
	    	//fecha = year + "-" + mes + "-" + dia;

			retornarCalendario.push({"cuota" : "cuota "+ (i+1),
									"fecha" : fecha	});
	    }

		return retornarCalendario
	}


	/**
	** Generando calendario quincenal
	**/
	function calendarioQuincenal(cuotas){


		var retornarCalendario = [];
	    fecha = document.getElementById("fecha_inicio").value
	    fecha = fecha.split("-");

	    fecha = fecha[2]+"-"+fecha[1]+"-"+fecha[0];


		retornarCalendario.push({	"cuota" : "cuota 1",
								"fecha" : fecha});

	    for (var i = 1; i < cuotas; i++) {
	    	fecha = new Date(document.getElementById("fecha_inicio").value)
			
			fecha.setDate(fecha.getDate() + 1);
			fecha.setDate(fecha.getDate() + (i*15));

			//console.log(fecha);
			year = fecha.getFullYear();
			mes = fecha.getMonth()+1;
			dia = fecha.getDate();

			mes = parseInt(mes)>9?mes:"0"+mes;
			dia = parseInt(dia)>9?dia:"0"+dia;
	    	fecha = dia + "-" + mes + "-" + year;
	    	//fecha = year + "-" + mes + "-" + dia;

			retornarCalendario.push({"cuota" : "cuota "+ (i+1),
									"fecha" : fecha	});
	    }

		return retornarCalendario
	}

	/**
	** Generando calendario semanal
	**/
	function calendarioSemanal(cuotas){


		var retornarCalendario = [];
	    fecha = document.getElementById("fecha_inicio").value
	    fecha = fecha.split("-");

	    fecha = fecha[2]+"-"+fecha[1]+"-"+fecha[0];


		retornarCalendario.push({	"cuota" : "cuota 1",
								"fecha" : fecha});

	    for (var i = 1; i < cuotas; i++) {
	    	fecha = new Date(document.getElementById("fecha_inicio").value)
			
			fecha.setDate(fecha.getDate() + 1);
			fecha.setDate(fecha.getDate() + (i*7));

			//console.log(fecha);
			year = fecha.getFullYear();
			mes = fecha.getMonth()+1;
			dia = fecha.getDate();

			mes = parseInt(mes)>9?mes:"0"+mes;
			dia = parseInt(dia)>9?dia:"0"+dia;
	    	fecha = dia + "-" + mes + "-" + year;
	    	//fecha = year + "-" + mes + "-" + dia;

			retornarCalendario.push({"cuota" : "cuota "+ (i+1),
									"fecha" : fecha	});
	    }

		return retornarCalendario
	}

	/**
	** Generando calendario diario
	**/
	function calendarioDiario(cuotas){


		var retornarCalendario = [];
	    fecha = document.getElementById("fecha_inicio").value
	    fecha = fecha.split("-");

	    fecha = fecha[2]+"-"+fecha[1]+"-"+fecha[0];


		retornarCalendario.push({	"cuota" : "cuota 1",
								"fecha" : fecha});

	    for (var i = 1; i < cuotas; i++) {
	    	fecha = new Date(document.getElementById("fecha_inicio").value)
			
			fecha.setDate(fecha.getDate() + (i+1));

			//console.log(fecha);
			year = fecha.getFullYear();
			mes = fecha.getMonth()+1;
			dia = fecha.getDate();

			mes = parseInt(mes)>9?mes:"0"+mes;
			dia = parseInt(dia)>9?dia:"0"+dia;
	    	fecha = dia + "-" + mes + "-" + year;
	    	//fecha = year + "-" + mes + "-" + dia;

			retornarCalendario.push({"cuota" : "cuota "+ (i+1),
									"fecha" : fecha	});
	    }

		return retornarCalendario
	}




	function calcularCuotaMensual() {
		var monto = eval(document.getElementById("monto").value);
		var num_cuotas = eval(document.getElementById("num_cuotas").value);
		var interes = eval(document.getElementById("interes").value);

		var interes_real = (monto*interes) / 100;
		 
		var valorcuota = (monto+interes_real)/num_cuotas;

		document.getElementById("valor_cuota").value=valorcuota.toFixed(2);
	}


/**
** Coloca la fecha de hoy una vez cargada la pagina
**/
	function initFechaInicio(){
		var now = new Date();
		var day = ("0" + now.getDate()).slice(-2);
		var month = ("0" + (now.getMonth() + 1)).slice(-2);
		var today = now.getFullYear()+"-"+(month)+"-"+(day) ;
		document.getElementById("fecha_inicio").value=today;

	}





